Japan Wi-Fi auto-connect

What kind of smartphone do I need?

You can use any of the following smartphones.
Supported OS:
iOS 12.x or later
Android OS 6.0 or later

*Internet connection is required for user registration and some functions.